Loading...
Searching...
No Matches
cxxpwd.h File Reference
`#include <pwd.h>`
`#include <string>`
`#include <sys/types.h>`
`#include <rostlab/rostlab_stdexcept.h>`
Include dependency graph for cxxpwd.h:

Go to the source code of this file.

## Classes

struct | rostlab::cxx_passwd
class | rostlab::uid_not_found_error
class | rostlab::uname_not_found_error

## Namespaces

namespace | rostlab

## Functions

uid_t | rostlab::getpwnam_r (const std::string &__uname)
uid_t | rostlab::getpwnam_r (const std::string &__uname, cxx_passwd &__passwd)
std::string | rostlab::getpwuid_r (uid_t __uid)
std::string | rostlab::getpwuid_r (uid_t __uid, cxx_passwd &__passwd)